Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           ldapdiff
Version:        1.4.1
Release:        alt2_25
Summary:        Tool for incremental LDAP directory updates based on ldif files

License:        GPLv3+
URL:            http://launchpad.net/ldapdiff
Source0:        https://launchpad.net/ldapdiff/trunk/%{version}/+download/ldapdiff-%{version}_src.tgz
Patch0:         ldapdiff-1.4.1-format-security.patch

BuildRequires:  gcc
BuildRequires:  libldap-devel
Source44: import.info


%description
ldapdiff combines "diff" and "patch" functionality in one application.
The difference is, that ldapdiff is not designed for use on flat ascii
files, it is designed for "patching" ldap directories using ldif files.


%prep
%setup -q
%patch0 -p1 -b .fs
make clean

%build
%configure
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"


%files
%doc AUTHORS ChangeLog debian/changelog TODO README
%{_bindir}/ldapdiff
%dir %{_datadir}/ldapdiff
%{_datadir}/ldapdiff/ldapdiff.conf.sample
%dir %{_datadir}/ldapdiff/samples
%{_datadir}/ldapdiff/samples/*
%{_mandir}/man1/ldapdiff.1*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt2_25
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt2_23
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt2_22
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt2_21
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt2_20
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt2_19
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.4.1-alt2_18
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt2_17
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_17
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_16
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_15
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_14
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_13
- update to new release by fcimport

* Thu Mar 08 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_12
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_9
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_8
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_7
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_6
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_5
- update to new release by fcimport

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_4
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_3
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.1-alt1_2
- initial fc import

